/* This file is part of AHD Subtitles Maker Professional
   A program can create and edit subtitles

   Copyright © Ala I Hadid 2009 - 2012

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AHD.MKV
{
    public class ListViewItem_VobPack : ListViewItem
    {
        VobSubMergedPack pack;

        public VobSubMergedPack VobSubMergedPack
        { get { return pack; } set { pack = value; RefreshText(); } }
        public void RefreshText()
        {
            this.Text = pack.StartTime.ToString();
            if (this.Text.Length > 12)
                this.Text = this.Text.Substring(0, 12);
            string end = pack.EndTime.ToString();
            if (end.Length > 12)
                end = end.Substring(0, 12);
            SubItems.Add(end);
            string duration = (pack.EndTime - pack.StartTime).ToString();
            if (duration.Length > 12)
                duration = duration.Substring(0, 12);
            SubItems.Add(duration);//duration
            SubItems.Add("");//text
        }
        public void SetText(string text)
        {
            SubItems[3].Text = text;
            this.EnsureVisible();
        }
        public string GetText()
        {
            return SubItems[3].Text;
        }
    }
}
